Bug 1278963 - Review Request: distro-info-data - Information about releases of Debian and Ubuntu (data files)
Review Request: distro-info-data - Information about releases of Debian and U...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
Hans de Goede
:
Depends On:
Blocks: 1278964
  Show dependency treegraph
 
Reported: 2015-11-06 16:25 EST by Michael Kuhn
Modified: 2016-01-24 21:21 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-24 21:21:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hdegoede: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Michael Kuhn 2015-11-06 16:25:49 EST
Spec URL: https://ikkoku.de/~suraia/distro-info-data/distro-info-data.spec
SRPM URL: https://ikkoku.de/~suraia/distro-info-data/distro-info-data-0.28-1.fc23.src.rpm

Description:
distro-info-data contains the data necessary for the distro-info tool/library (submitted as a separate package review), which is a dependency of dput-ng (package review #1263821). It is distributed separately because it needs to be updated frequently.

“Information about all releases of Debian and Ubuntu. The distro-info script
will give you the codename for e.g. the latest stable release of your
distribution. To get information about a specific distribution there are the
debian-distro-info and the ubuntu-distro-info scripts.

This package contains the data files.”

Fedora Account System Username: suraia
Comment 1 Hans de Goede 2015-12-27 08:27:09 EST
Hi,

As discussed per email, I will review this and sponsor you once dput-ng and all its dependencies have passed their pkg review.

Regards,

Hans
Comment 2 Hans de Goede 2015-12-27 08:40:50 EST
Full review done:

Good:
====
- rpmlint checks return:
distro-info-data.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 1 warnings.
This warning can safely be ignored
- package meets naming guidelines
- package meets packaging guidelines
- license (ISC) OK, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Needs work:
=======
- license text not in %files as %license, please add:
%license debian/copyright
to %files
- Does not own all directories that it creates, in specfiles pkg-specific directories must be part of %files, so that they get removed when the pkg gets removed, to do this simply change:
%{_datadir}/distro-info/*
into:
%{_datadir}/distro-info

rpmbuild will then automatically make the pkg own the directory and include all files under the dir in the pkg, alternatively you could write:

%dir %{_datadir}/distro-info
%{_datadir}/distro-info/*

This latter form is mostly useful if you do not want to include all files under the dir in a (sub)pkg


If you can create a 0.28-2 srpm fixing these 2 issues, then we should be good to go wrt this pkg.

Note as said please do a -2 and add a %changelog entry for the changes. During Fedora pkg-review we always bump the Release field and add a changelog entry when doing a new version, rather then keeping the release at 1 during the entire review process. So when you did the new dput-ng pkg which adds distro-data as dependency you should have made that dput-ng-1.10-2, no need to fix this now, but please always bump Release when doing new versions during pkg-review from now on.

Regards,

Hans
Comment 3 Michael Kuhn 2015-12-29 16:17:25 EST
Thanks for your review!

> - license text not in %files as %license, please add:
> %license debian/copyright
> to %files

Done.

> - Does not own all directories that it creates, in specfiles pkg-specific
> directories must be part of %files, so that they get removed when the pkg
> gets removed, to do this simply change:

Done. I did it like this because distro-info already owns this directory. Is it a problem that both packages do so now?

> If you can create a 0.28-2 srpm fixing these 2 issues, then we should be
> good to go wrt this pkg.
> 
> Note as said please do a -2 and add a %changelog entry for the changes.
> During Fedora pkg-review we always bump the Release field and add a
> changelog entry when doing a new version, rather then keeping the release at
> 1 during the entire review process. So when you did the new dput-ng pkg
> which adds distro-data as dependency you should have made that
> dput-ng-1.10-2, no need to fix this now, but please always bump Release when
> doing new versions during pkg-review from now on.

Sorry about that. I was somehow under the impression that the Release should be kept at 1. :-) I have uploaded new versions here:

Spec: https://ikkoku.de/~suraia/distro-info-data/distro-info-data.spec
SRPM: https://ikkoku.de/~suraia/distro-info-data/distro-info-data-0.28-2.fc23.src.rpm
Comment 5 Hans de Goede 2016-01-09 09:49:59 EST
(In reply to Michael Kuhn from comment #4)
> Based on the comment at
> https://bugzilla.redhat.com/show_bug.cgi?id=1278964#c5, I have fixed a small
> Python issue.
> 
> Spec: https://ikkoku.de/~suraia/distro-info-data/distro-info-data.spec
> SRPM:
> https://ikkoku.de/~suraia/distro-info-data/distro-info-data-0.28-3.fc23.src.
> rpm

Looks good to me now: Approved.

I've added you to the packagers group and sponsored you, so now you can continue with the next steps:

https://fedoraproject.org/wiki/Join_the_package_collection_maintainers?rd=PackageMaintainers/Join#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

Regards,

Hans
Comment 6 Gwyn Ciesla 2016-01-11 14:19:30 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/distro-info-data
Comment 7 Fedora Update System 2016-01-15 11:47:57 EST
dput-ng-1.10-3.fc23 distro-info-0.14-3.fc23 distro-info-data-0.28-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-327c80950a
Comment 8 Fedora Update System 2016-01-17 09:23:55 EST
distro-info-0.14-3.fc23, distro-info-data-0.28-3.fc23, dput-ng-1.10-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-327c80950a
Comment 9 Fedora Update System 2016-01-24 21:21:41 EST
distro-info-0.14-3.fc23, distro-info-data-0.28-3.fc23, dput-ng-1.10-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.